Get order history
curl --request GET \
--url https://api.managem.co.uk/seller/orders/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/seller/orders/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/seller/orders/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"purchaseId": "<string>",
"comment": "<string>",
"party": "BUYER",
"createdAt": "2023-11-07T05:31:56Z",
"orderId": "<string>",
"userId": "<string>",
"user": {
"id": "<string>",
"username": "<string>"
},
"orderItemIds": []
}
]Management
Get order history
Retrieve timeline history entries for a seller order.
Use this endpoint to render audit/history timelines in seller order detail pages.
Behavior:
- Verifies seller ownership of the order first.
- Returns history entries in reverse chronological order.
- Expands each entry with related order item IDs and user context when available.
Responses:
- Returns
404for missing or non-owned orders.
GET
/
seller
/
orders
/
{id}
/
history
Get order history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order ID
Response
Order history
Unique identifier for the history entry
Identifier of the purchase that this history belongs to
Human readable description of the action
Minimum string length:
1Which party initiated the action recorded in the history
Available options:
BUYER, SELLER, SYSTEM Timestamp when the history entry was recorded
Identifier of the order associated with this entry
User identifier of the action initiator, when available
User that initiated the action, if the action was user driven
Show child attributes
Show child attributes
Identifiers of order items involved in the history entry